Bug 36527 - New port: textproc/aft: text to [x]html,docbook,rtf,lout,latex
Summary: New port: textproc/aft: text to [x]html,docbook,rtf,lout,latex
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-30 07:10 UTC by Alan E
Modified: 2002-05-19 22:49 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan E 2002-03-30 07:10:00 UTC
AFT (Almost Free Text) is a document preparation system. It is mostly
free form meaning that there is little intrusive markup. AFT source
documents look a lot like plain old ASCII text.

WWW: http://www.maplefish.com/todd/aft.html

Note to committer: 

NOPORTDOCS is ignored; DOCSDIR is installed unconditonally. There are
no other docs (man or info) for this port, so DOCSDIR is not optional.

Fix: ==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==


==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==--JpHyupWmnkWwxazNC6cl3ZNecFlWDBKGVgapzxsRSDxcRxuU
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	textproc/aft
#	textproc/aft/Makefile
#	textproc/aft/pkg-comment
#	textproc/aft/pkg-descr
#	textproc/aft/pkg-plist
#	textproc/aft/distinfo
#
echo c - textproc/aft
mkdir -p textproc/aft > /dev/null 2>&1
echo x - textproc/aft/Makefile
sed 's/^X//' >textproc/aft/Makefile << 'END-of-textproc/aft/Makefile'
X#
X# ex:ts=8
X#
X# New ports collection makefile for:	aft
X# Date created:		2002/03/28
X# Whom:			Alan Eldridge ports@geeksrus.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	aft
XPORTVERSION=	5.0792
XCATEGORIES=	textproc
XMASTER_SITES=	http://www.maplefish.com/todd/
X
XMAINTAINER=	ports@geeksrus.net
X
XUSE_PERL5=	yes
XGNU_CONFIGURE=	yes
X
XPLIST_SUB+=	DOCSDIR=${DOCSDIR:S|${PREFIX}/||}
X
X.include <bsd.port.pre.mk>
X.include <bsd.port.post.mk>
X#EOF
END-of-textproc/aft/Makefile
echo x - textproc/aft/pkg-comment
sed 's/^X//' >textproc/aft/pkg-comment << 'END-of-textproc/aft/pkg-comment'
XA document preparation system using an Almost Free Text input format
END-of-textproc/aft/pkg-comment
echo x - textproc/aft/pkg-descr
sed 's/^X//' >textproc/aft/pkg-descr << 'END-of-textproc/aft/pkg-descr'
XAFT (Almost Free Text) is a document preparation system. It is mostly
Xfree form meaning that there is little intrusive markup. AFT source
Xdocuments look a lot like plain old ASCII text.
X
XAFT has a few rules for structuring your document and these rules have
Xmore to do with formatting your text rather than embedding commands.
X
XRight now, AFT produces pretty good (weblint-able) HTML, XHTML, LaTeX,
Xlout and RTF. It can, in fact, be coerced into producing all types of
Xoutput (e.g. roll-your-own XML). All that needs to be done is to edit
Xa rule file. You can even customize your own HTML rule files for
Xspecialized output.
X
XWWW: http://www.maplefish.com/todd/aft.html
X
X-- AlanE <ports@geeksrus.net>
END-of-textproc/aft/pkg-descr
echo x - textproc/aft/pkg-plist
sed 's/^X//' >textproc/aft/pkg-plist << 'END-of-textproc/aft/pkg-plist'
Xbin/aft
Xshare/aft/compile.pl
Xshare/aft/postrtf.pl
Xshare/aft/aft.pl
Xshare/aft/aft-dbarticle.pm
Xshare/aft/aft-fhtml.pm
Xshare/aft/aft-html.pm
Xshare/aft/aft-htmlc.pm
Xshare/aft/aft-lout.pm
Xshare/aft/aft-rtf.pm
Xshare/aft/aft-tex.pm
Xshare/aft/aft-xhtml.pm
Xshare/aft/AFT.pm
X%%DOCSDIR%%/backends/aft-dbarticle.dat
X%%DOCSDIR%%/backends/aft-fhtml.dat
X%%DOCSDIR%%/backends/aft-html.dat
X%%DOCSDIR%%/backends/aft-htmlc.dat
X%%DOCSDIR%%/backends/aft-lout.dat
X%%DOCSDIR%%/backends/aft-rtf.dat
X%%DOCSDIR%%/backends/aft-tex.dat
X%%DOCSDIR%%/backends/aft-xhtml.dat
X%%DOCSDIR%%/aft2rtf-doc.rtf
X%%DOCSDIR%%/aft-refman.html
X%%DOCSDIR%%/aft.gif
X%%DOCSDIR%%/aft.eps
X%%DOCSDIR%%/ChangeLog.aft
X%%DOCSDIR%%/examples/aft.aft
X%%DOCSDIR%%/examples/aft-refman.aft
X%%DOCSDIR%%/examples/aft2rtf-doc.aft
X@dirrm share/aft
X@dirrm %%DOCSDIR%%/examples
X@dirrm %%DOCSDIR%%/backends
X@dirrm %%DOCSDIR%%
END-of-textproc/aft/pkg-plist
echo x - textproc/aft/distinfo
sed 's/^X//' >textproc/aft/distinfo << 'END-of-textproc/aft/distinfo'
XMD5 (aft-5.0792.tar.gz) = 34c766eeed723ff2b62937fee940c824
END-of-textproc/aft/distinfo
exit
Comment 1 Pete Fritchman freebsd_committer 2002-05-19 22:48:42 UTC
State Changed
From-To: open->closed

New port added, thanks!